.modal {
    position: fixed;
    inset: 0;
    z-index: -10;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    cursor: pointer;
    overflow-x: hidden;
    overflow-y: auto;
    top: -1000%;
    transition: all 0.3s;
    width: 100%;
    height: 100%;
    min-width: 350px;

    opacity: 0;
    visibility: hidden;
}
.modal.show {
    top: 0;
    z-index: 99999;
    opacity: 1;
    visibility: visible;
}

.modal__container {
    display: flex;
    flex-direction: column;
    gap: 32px;
    background-color: #fff;
    width: 640px;
    padding: 54px 48px;
    border-radius: 24px;
    cursor: default;
    max-height: 85vh;
    overflow: auto;
		position: relative;
}

.modal__container::-webkit-scrollbar {
    width: 5px;
}

.modal__container::-webkit-scrollbar:horizontal {
    height: 5px;
}

.modal__container::-webkit-scrollbar-thumb {
    width: 5px;
    background-color: lightgray;
    border-radius: 5px;
}

.modal__content {
	padding: 0;
	border-radius: 0;	
}

.modal__header {
    display: flex;
}

.modal__title {
    display: block;    
    font-family: "Montserrat", sans-serif;
		font-size: 24px;
    font-weight: 700;
    text-align: left;
    margin-bottom: 32px;
    line-height: normal;
    margin: 0;
    /* padding-right: 52px; */
    color: #000;
}

.modal__close {
    position: absolute;
    right: 24px;
    top: 24px;
    width: 24px;
    height: 24px;    
		background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M18 6L6 18M6 6L18 18' stroke='black' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center center;
    cursor: pointer;
}

@media(max-width: 600px) {
    .modal__container {
        gap: 20px;
        padding: 20px;
    }
    .modal__title {
        max-width: 90%;
    }
    .modal__close {
        position: absolute;
        right: 16px;
        top: 10px;
        width: 25px;
        height: 25px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}
